JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent

Enclosing class:
  JaxbHibernateConfiguration.JaxbSessionFactory

    public static class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="listener" type="{http://www.hibernate.org/xsd/hibernate-configuration}listener-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="type" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}type-attribute" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JaxbListenerElement>` | `listener`
`protected JaxbTypeAttribute` | `type`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent()`

Method Summary
`List<JaxbListenerElement>` | `getListener()` Gets the value of the listener property.
`JaxbTypeAttribute` | `getType()` Gets the value of the type property.
`void` | `setType(JaxbTypeAttribute value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected List<JaxbListenerElement> listener

### type

    protected JaxbTypeAttribute type

Constructor Detail

### JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent()

Method Detail

### getListener

    public List<JaxbListenerElement> getListener()

  Gets the value of the listener property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the listener property.

  For example, to add a new item, do as follows:

          getListener().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbListenerElement`

### getType

    public JaxbTypeAttribute getType()

  Gets the value of the type property.

  Returns:
    possible object is `JaxbTypeAttribute`

### setType

    public void setType(JaxbTypeAttribute value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.